<?php
declare(strict_types=1);

namespace GamesShop\Entities\Games;

enum KeyAttribute: string
{
    case NONE = 'none';
    case GAME_NAME = "game_name";
    case KEY = "key";
    case STORE = 'store';
    case FROM = 'from';

    public static function casesAsAssociative(): array {
        $result = [];
        foreach (self::cases() as $case) {
            $result[$case->name] = $case->value;
        }

        return $result;
    }
}